import React from 'react';
import type { DatetimeRangeComponentProps } from './datetime-range-types';
export declare function DatetimeRangeComponent({ locale, elementId, screenId, setFieldValue, validate, isInFocus, fieldProperties, isParentDisabled, isParentHidden, contextType, validationErrors, value, handlersArguments, columnDefinition, isNested, parentElementId, ...rest }: DatetimeRangeComponentProps): JSX.Element;
export declare const ConnectedDatetimeRangeComponent: import("react-redux").ConnectedComponent<typeof DatetimeRangeComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    columnDefinition?: import("../../nested-fields").NestedField<import("../../../service/screen-base").ScreenBase, import("@sage/xtrem-shared").FieldKey.DatetimeRange> | undefined;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedDatetimeRangeComponent;
//# sourceMappingURL=datetime-range-component.d.ts.map