import React from 'react';
import type { TimeComponentProps } from './time-types';
export declare function TimeComponent({ locale, isInFocus, elementId, screenId, fieldProperties, validationErrors, value, isParentDisabled, isParentHidden, setFieldValue, validate, contextType, ...rest }: TimeComponentProps): React.ReactElement;
export declare const ConnectedTimeComponent: import("react-redux").ConnectedComponent<typeof TimeComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    onChange?: ((value: string) => void) | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedTimeComponent;
//# sourceMappingURL=time-component.d.ts.map