import type { Dict } from '@sage/xtrem-shared';
import React from 'react';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { ToggleComponentProps } from './toggle-types';
type ToggleAdditionalProps = ToggleComponentProps & {
    localizedOptions?: Dict<string>;
    enumOptions?: string[];
} & NestedFieldsAdditionalProperties;
export declare function ToggleComponent(props: ToggleAdditionalProps): React.ReactElement;
export declare const ConnectedToggleComponent: import("react-redux").ConnectedComponent<typeof ToggleComponent, {
    parentElementId?: string | undefined;
    level?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    screenId: string;
    contextType?: import("../../../types").ContextType | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedToggleComponent;
//# sourceMappingURL=toggle-component.d.ts.map