"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apAutomationMessagesDatatype = exports.ApAutomationMessagesEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var ApAutomationMessagesEnum;
(function (ApAutomationMessagesEnum) {
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["noMappingScriptAvailable"] = 1] = "noMappingScriptAvailable";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["apAutomationGetExtractions"] = 2] = "apAutomationGetExtractions";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["apAutomationGetResults"] = 3] = "apAutomationGetResults";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["numberOfRecordsProcessed"] = 4] = "numberOfRecordsProcessed";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["thisExtractionHasStatusCompleted"] = 5] = "thisExtractionHasStatusCompleted";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["thisExtractionHasBeenCreatedForAnotherCompany"] = 6] = "thisExtractionHasBeenCreatedForAnotherCompany";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["companyNotRegisteredInApAutomation"] = 7] = "companyNotRegisteredInApAutomation";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["noCompanyRegisteredForApAutomation"] = 8] = "noCompanyRegisteredForApAutomation";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["companyNotAuthorized"] = 9] = "companyNotAuthorized";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["apAutomationSendFeedback"] = 10] = "apAutomationSendFeedback";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["company1ProcessedDocuments"] = 11] = "company1ProcessedDocuments";
    ApAutomationMessagesEnum[ApAutomationMessagesEnum["feedbackResult"] = 12] = "feedbackResult";
})(ApAutomationMessagesEnum || (exports.ApAutomationMessagesEnum = ApAutomationMessagesEnum = {}));
exports.apAutomationMessagesDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: ApAutomationMessagesEnum,
    filename: __filename,
    localMenuNumber: 7798,
});
//# sourceMappingURL=ap-automation-messages.js.map