"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compositeCodeTypeDatatype = exports.CompositeCodeTypeEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var CompositeCodeTypeEnum;
(function (CompositeCodeTypeEnum) {
    CompositeCodeTypeEnum[CompositeCodeTypeEnum["fixedLength"] = 1] = "fixedLength";
    CompositeCodeTypeEnum[CompositeCodeTypeEnum["delimited"] = 2] = "delimited";
})(CompositeCodeTypeEnum || (exports.CompositeCodeTypeEnum = CompositeCodeTypeEnum = {}));
exports.compositeCodeTypeDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: CompositeCodeTypeEnum,
    filename: __filename,
    localMenuNumber: 2795,
});
//# sourceMappingURL=composite-code-type.js.map