"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fiscalRecipientDatatype = exports.FiscalRecipientEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var FiscalRecipientEnum;
(function (FiscalRecipientEnum) {
    FiscalRecipientEnum[FiscalRecipientEnum["othersSii"] = 1] = "othersSii";
    FiscalRecipientEnum[FiscalRecipientEnum["batuzForVizcaya"] = 2] = "batuzForVizcaya";
    FiscalRecipientEnum[FiscalRecipientEnum["tbaiForGuipuzcoa"] = 3] = "tbaiForGuipuzcoa";
    FiscalRecipientEnum[FiscalRecipientEnum["tbaiForAlava"] = 4] = "tbaiForAlava";
    FiscalRecipientEnum[FiscalRecipientEnum["tbaiForNavarra"] = 5] = "tbaiForNavarra";
    FiscalRecipientEnum[FiscalRecipientEnum["verifactu"] = 6] = "verifactu";
})(FiscalRecipientEnum || (exports.FiscalRecipientEnum = FiscalRecipientEnum = {}));
exports.fiscalRecipientDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: FiscalRecipientEnum,
    filename: __filename,
    localMenuNumber: 495,
});
//# sourceMappingURL=fiscal-recipient.js.map