"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeWeeklyCapacity = computeWeeklyCapacity;
const typesLib = require("@sage/xtrem-decimal");
function computeWeeklyCapacity(_this) {
    const weeklyCapacity = _this.weeklyStructureDailyCapacity;
    // 0 is initial value
    return weeklyCapacity.reduce(async (accumulator, item) => {
        const calcItem = (await item.dailyCapicity) ?? 0;
        return typesLib.add(accumulator, calcItem);
    }, 0);
}
//# sourceMappingURL=compute-weekly-capacity.js.map