"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeStatus = getNodeStatus;
const typesLib = require("@sage/xtrem-decimal");
const xtrem_core_1 = require("@sage/xtrem-core");
function getNodeStatus(_this) {
    if (typesLib.strictEq(_this.$.status, xtrem_core_1.NodeStatus.added)) {
        return 'C';
    }
    if (typesLib.strictEq(_this.$.status, xtrem_core_1.NodeStatus.modified)) {
        return 'U';
    }
    if (typesLib.strictEq(_this.$.status, xtrem_core_1.NodeStatus.deleted)) {
        return 'D';
    }
    return 'R';
}
//# sourceMappingURL=node-status.js.map