import { Request } from 'express';
export interface RequestWithHint extends Request {
    hint?: string | null;
}
/**
 * Set a string representing a hint on the GraphQL query purpose
 * @param request the HTTP request
 * @returns the string hint or null
 */
export declare function setGraphQlHint(request: RequestWithHint): string | null;
//# sourceMappingURL=request.d.ts.map