import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3InvoicingData from '..';
export declare class BusinessPartnerExtension extends NodeExtension<sageX3MasterData.nodes.BusinessPartner> {
    readonly outboundMapping: Reference<sageX3InvoicingData.nodes.Mapping | null>;
    readonly fiscalRecipient: Promise<sageX3InvoicingData.enums.FiscalRecipient | null>;
}
declare module '@sage/x3-master-data/lib/nodes/business-partner' {
    interface BusinessPartner extends BusinessPartnerExtension {
    }
}
//# sourceMappingURL=business-partner-extension.d.ts.map