import * as sageX3Structure from '@sage/x3-structure';
import * as sageX3System from '@sage/x3-system';
import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class CompanyExtension extends NodeExtension<sageX3System.nodes.Company> {
    readonly country: Reference<sageX3Structure.nodes.Country | null>;
    readonly registredCapitalCurrency: Reference<sageX3MasterData.nodes.Currency | null>;
    readonly defaultAddress: Reference<sageX3MasterData.nodes.CompanyAddress | null>;
    readonly defaultContact: Reference<sageX3MasterData.nodes.CompanyContact | null>;
    readonly defaultBankId: Reference<sageX3MasterData.nodes.CompanyBankDetail | null>;
    readonly currency: Reference<sageX3MasterData.nodes.Currency | null>;
    readonly serviceId: Promise<string>;
    readonly addresses: Collection<sageX3MasterData.nodes.CompanyAddress>;
    readonly contacts: Collection<sageX3MasterData.nodes.CompanyContact>;
    readonly bankDetails: Collection<sageX3MasterData.nodes.CompanyBankDetail>;
}
declare module '@sage/x3-system/lib/nodes/company' {
    interface Company extends CompanyExtension {
    }
}
//# sourceMappingURL=company-extension.d.ts.map