import * as sageX3Finance from '@sage/x3-finance';
import * as sageX3Purchasing from '@sage/x3-purchasing';
import * as sageX3PurchasingData from '@sage/x3-purchasing-data';
import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
export declare class PurchaseRequestLineExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseRequestLine> {
    readonly commitmentType: Promise<sageX3PurchasingData.enums.CommitmentType | null>;
    readonly preCommitment: Reference<sageX3Finance.nodes.FinancialCommitment | null>;
    readonly preCommitmentGenerated: Promise<integer | null>;
}
declare module '@sage/x3-purchasing/lib/nodes/purchase-request-line' {
    interface PurchaseRequestLine extends PurchaseRequestLineExtension {
    }
}
//# sourceMappingURL=purchase-request-line-extension.d.ts.map