import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageX3PurchasingData from '..';
export declare class SupplierExtension extends NodeExtension<sageX3MasterData.nodes.Supplier> {
    readonly supplierType: Promise<sageX3PurchasingData.enums.SupplierType | null>;
    readonly deliveryMode: Reference<sageX3PurchasingData.nodes.DeliveryMode | null>;
    readonly dueDateOrigin: Promise<sageX3PurchasingData.enums.DueDateCalculationBase | null>;
    readonly currencyRateDetermination: Promise<sageX3PurchasingData.enums.CurrencyRateSearchDate | null>;
    readonly disputeStatus: Promise<sageX3PurchasingData.enums.Conflict | null>;
    readonly matchingTolerance: Reference<sageX3PurchasingData.nodes.MatchingTolerance | null>;
}
declare module '@sage/x3-master-data/lib/nodes/supplier' {
    interface Supplier extends SupplierExtension {
    }
}
//# sourceMappingURL=supplier-extension.d.ts.map