import { Node, Reference, integer, Collection } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class CompositeCodeSetup extends Node {
    readonly stockSite: Reference<sageX3System.nodes.Site | null>;
    readonly flow: Reference<sageX3System.nodes.MiscellaneousTable>;
    readonly compositeCode: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly isActive: Promise<boolean>;
    readonly isBlankDeletion: Promise<boolean>;
    readonly compositeCodeType: Promise<sageX3System.enums.CompositeCodeType | null>;
    readonly dateFormat: Promise<integer | null>;
    readonly dateLabel: Promise<string>;
    readonly fieldSeparator: Promise<string>;
    readonly decimalSeparator: Promise<string>;
    readonly lines: Collection<sageX3System.nodes.CompositeCodeSetupLine>;
}
//# sourceMappingURL=composite-code-setup.d.ts.map