import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import { Node, integer, Reference } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseOrderLineDimensionDimensions extends Node {
    readonly denormalizedIndex: Promise<integer>;
    readonly abbreviation: Promise<string>;
    readonly typ: Promise<sageX3StockData.enums.EntryTypeEnum>;
    readonly purchaseOrder: Promise<string>;
    readonly purchaseOrderLine: Promise<integer>;
    readonly sequenceNumber: Promise<integer>;
    readonly keyComplement: Promise<string>;
    readonly sortValue: Promise<integer>;
    readonly _denormalizedParent: Reference<sageX3Purchasing.nodes.PurchaseOrderLineDimension>;
    readonly dimensionType: Reference<sageX3FinanceData.nodes.DimensionType | null>;
    readonly dimension: Reference<sageX3FinanceData.nodes.Dimension | null>;
}
//# sourceMappingURL=purchase-order-line-dimension-dimensions.d.ts.map