import * as sageX3StockData from '@sage/x3-stock-data';
import { Node, Reference, integer, Collection } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseRequestLineDimension extends Node {
    readonly abbreviation: Promise<string>;
    readonly typ: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
    readonly purchaseRequest: Reference<sageX3Purchasing.nodes.PurchaseRequest>;
    readonly purchaseRequestLine: Reference<sageX3Purchasing.nodes.PurchaseRequestLine | null>;
    readonly sequenceNumber: Promise<integer | null>;
    readonly keyComplement: Promise<string>;
    readonly sortValue: Promise<integer | null>;
    readonly dimensions: Collection<sageX3Purchasing.nodes.PurchaseRequestLineDimensionDimensions>;
}
//# sourceMappingURL=purchase-request-line-dimension.d.ts.map