import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class RequestForQuotationLine extends Node {
    readonly supplier: Reference<sageX3MasterData.nodes.Supplier>;
    readonly requestForQuotation: Reference<sageX3Purchasing.nodes.RequestForQuotation>;
    readonly lineNumber: Promise<integer | null>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly requestForQuotationSite: Reference<sageX3System.nodes.Site>;
}
//# sourceMappingURL=request-for-quotation-line.d.ts.map