import * as sageX3MasterData from '@sage/x3-master-data';
import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
import * as sageX3InvoicingData from '..';
export declare class SupplierInvoicingElements extends Node {
    readonly denormalizedIndex: Promise<integer>;
    readonly code: Promise<string>;
    readonly _denormalizedParent: Reference<sageX3MasterData.nodes.Supplier>;
    readonly percentageOrAmount: Promise<decimal | null>;
    readonly invoicingElement: Reference<sageX3InvoicingData.nodes.PurchaseInvoicingElement | null>;
    readonly amountType: Promise<sageX3MasterData.enums.RateAmount | null>;
}
//# sourceMappingURL=supplier-invoicing-elements.d.ts.map