export var ActionType;
(function (ActionType) {
    ActionType["AddDashboard"] = "AddDashboard";
    ActionType["AddDataTypes"] = "AddDataTypes";
    ActionType["AddEnumType"] = "AddEnumType";
    ActionType["AddInternalError"] = "AddInternalError";
    ActionType["AddMenuItem"] = "AddMenuItem";
    ActionType["AddNavigationPanelItems"] = "AddNavigationPanelItems";
    ActionType["AddNodeTypes"] = "AddNodeTypes";
    ActionType["AddPlugin"] = "AddPlugin";
    ActionType["AddSchemaInfo"] = "AddSchemaInfo";
    ActionType["AddScreenDefinition"] = "AddScreenDefinition";
    ActionType["AddTranslations"] = "AddTranslations";
    ActionType["AddWidgetData"] = "AddWidgetData";
    ActionType["AddWidgets"] = "AddWidgets";
    ActionType["AddWindow"] = "AddWindow";
    ActionType["ApplyCurrentViewNameAndDescription"] = "ApplyCurrentViewNameAndDescription";
    ActionType["ClearHistory"] = "ClearHistory";
    ActionType["ClearNavigationPanelSearchText"] = "ClearNavigationPanelSearchText";
    ActionType["ClearNestedFieldsProperties"] = "ClearNestedFieldsProperties";
    ActionType["ClearWidgetOptions"] = "ClearWidgetOptions";
    ActionType["CloseDialog"] = "CloseDialog";
    ActionType["CloseLookupDialog"] = "CloseLookupDialog";
    ActionType["CommitTransaction"] = "CommitTransaction";
    ActionType["ExecuteFormDesignCommand"] = "ExecuteFormDesignCommand";
    ActionType["HandleBackNavigation"] = "HandleBackNavigation";
    ActionType["FinishScreenLoading"] = "FinishScreenLoading";
    ActionType["InitTableViews"] = "InitTableViews";
    ActionType["OpenDashboardEditor"] = "OpenDashboardEditor";
    ActionType["OpenDialog"] = "OpenDialog";
    ActionType["OpenLookupDialog"] = "OpenLookupDialog";
    ActionType["OpenNestedGridLevel"] = "OpenNestedGridLevel";
    ActionType["PopFromHistory"] = "PopFromHistory";
    ActionType["PushToHistory"] = "PushToHistory";
    ActionType["RedrawComponent"] = "RedrawComponent";
    ActionType["ReduxInitialAction"] = "ReduxInitialAction";
    ActionType["RemoveDashboard"] = "RemoveDashboard";
    ActionType["RemoveDashboardGroup"] = "RemoveDashboardGroup";
    ActionType["RemoveInternalError"] = "RemoveInternalError";
    ActionType["RemoveMenuItem"] = "RemoveMenuItem";
    ActionType["RemoveNestedFieldErrors"] = "RemoveNestedFieldErrors";
    ActionType["RemoveNonNestedError"] = "RemoveNonNestedError";
    ActionType["RemovePageServerErrors"] = "RemovePageServerErrors";
    ActionType["RemovePhantomError"] = "RemovePhantomError";
    ActionType["RemoveScreenDefinition"] = "RemoveScreenDefinition";
    ActionType["RemoveToast"] = "RemoveToast";
    ActionType["RemoveToasts"] = "RemoveAllToasts";
    ActionType["RemoveWindow"] = "RemoveWindow";
    ActionType["ReplaceLastInHistory"] = "ReplaceLastInHistory";
    ActionType["ResetScreenUiComponentProperties"] = "ResetScreenUiComponentProperties";
    ActionType["ResetWidgetLoadingTimeout"] = "ResetWidgetLoadingTimeout";
    ActionType["Set360ViewState"] = "Set360ViewState";
    ActionType["SetActiveSection"] = "SetActiveSection";
    ActionType["SetApplicationContext"] = "SetApplicationContext";
    ActionType["SetBackNavigation"] = "SetBackNavigation";
    ActionType["SetComponentLoading"] = "SetComponentLoading";
    ActionType["SetDashboardEditorDialogOpen"] = "SetDashboardEditorDialogOpen";
    ActionType["SetElementUserSettings"] = "SetElementUserSettings";
    ActionType["SetErrors"] = "SetErrors";
    ActionType["SetFieldCleanState"] = "SetFieldCleanState";
    ActionType["SetFieldDirtyState"] = "SetFieldDirtyState";
    ActionType["SetFieldValue"] = "SetFieldValue";
    ActionType["SetFilterPanel"] = "SetFilterPanel";
    ActionType["SetFocusPosition"] = "SetFocusPosition";
    ActionType["SetGlobalLoading"] = "SetGlobalLoading";
    ActionType["SetInitialDashboardInformation"] = "SetInitialDashboardInformation";
    ActionType["SetInitialMetaData"] = "SetInitialMetaData";
    ActionType["SetKeyboardShortcutsEnabled"] = "SetKeyboardShortcutsEnabled";
    ActionType["SetLoadingDashboards"] = "SetLoadingDashboards";
    ActionType["SetNavigationPanelIsHeaderHidden"] = "SetNavigationPanelIsHeaderHidden";
    ActionType["SetNavigationPanelIsHidden"] = "SetNavigationPanelIsHidden";
    ActionType["SetNavigationPanelIsOpened"] = "SetNavigationPanelIsOpened";
    ActionType["SetNavigationPanelValue"] = "SetNavigationPanelValue";
    ActionType["SetNodeNames"] = "SetNodeNames";
    ActionType["SetPageClean"] = "SetPageClean";
    ActionType["SetPageInsightCount"] = "SetPageInsightCount";
    ActionType["SetPath"] = "SetPath";
    ActionType["SetQueryParameter"] = "SetQueryParameter";
    ActionType["SetScreenDefinitionDialogId"] = "SetScreenDefinitionDialogId";
    ActionType["SetScreenDefinitionReady"] = "SetScreenDefinitionReady";
    ActionType["SetSelectedDashboard"] = "SetSelectedDashboard";
    ActionType["SetStickerDefinitionDialogId"] = "SetStickerDefinitionDialogId";
    ActionType["SetTableViewColumnHidden"] = "SetTableViewColumnHidden";
    ActionType["SetTableViewColumnOrder"] = "SetTableViewColumnOrder";
    ActionType["SetTableViewFilter"] = "SetTableViewFilter";
    ActionType["SetTableViewGrouping"] = "SetTableViewGrouping";
    ActionType["SetTableViewOptionsMenuItem"] = "SetTableViewOptionMenuItem";
    ActionType["SetTableViewOptionsMenuItemAndViewFilter"] = "SetTableViewOptionsMenuItemAndViewFilter";
    ActionType["SetTableViewSearchText"] = "SetTableViewSearchText";
    ActionType["SetTableViewSortOrder"] = "SetTableViewSortOrder";
    ActionType["SetUiComponentProperties"] = "SetUiComponentProperties";
    ActionType["SetUserCustomizationSaved"] = "SetUserCustomizationSaved";
    ActionType["SetValues"] = "SetValues";
    ActionType["SetWidgetCategories"] = "SetWidgetCategories";
    ActionType["SetWidgetData"] = "SetWidgetData";
    ActionType["SetWidgetEditorOpen"] = "SetWidgetEditorOpen";
    ActionType["SetWidgetLoading"] = "SetWidgetLoading";
    ActionType["SetWidgetLoadingTimeoutId"] = "SetWidgetLoadingTimeoutId";
    ActionType["SetWidgetOptions"] = "SetWidgetOptions";
    ActionType["SetWidgetProperties"] = "SetWidgetProperties";
    ActionType["SetWorkflowNodes"] = "SetWorkflowNodes";
    ActionType["ShowToast"] = "ShowToast";
    ActionType["UpdateDashboardEditorFromHistory"] = "UpdateDashboardEditorFromHistory";
    ActionType["UpdateDashboardEditorWithHistory"] = "UpdateDashboardEditorWithHistory";
    ActionType["UpdateErrors"] = "UpdateErrors";
    ActionType["UpdateMenuItem"] = "UpdateMenuItem";
    ActionType["UpdateNestedFieldErrors"] = "UpdateNestedFieldErrors";
    ActionType["UpdateNestedFieldRecordErrors"] = "UpdateNestedFieldRecordErrors";
    ActionType["UpdateTableSidebarDialogTarget"] = "UpdateTableSidebarDialogTarget";
    ActionType["UpdateUserCustomization"] = "UpdateUserCustomization";
    ActionType["UpdateUserWidgetDefinition"] = "UpdateUserWidgetDefinition";
})(ActionType || (ActionType = {}));
//# sourceMappingURL=action-types.js.map