import type { NestedField } from '../../component/nested-fields';
import type { SidebarDefinitionDecorator } from '../../component/table-sidebar/table-sidebar-types';
import type { CardDefinition } from '../../component/ui/card/card-component';
import type { AppThunkDispatch } from '../action-types';
import type { XtremAppState } from '../state';
export declare const closeTableSidebar: (dialogId: number, suppressDiscardEvent?: boolean) => (dispatch: AppThunkDispatch, getState: () => XtremAppState) => Promise<void>;
export declare const openTableSidebar: ({ cardDefinition, columns, dialogId, elementId, level, parentId, recordId, screenId, sidebarDefinition, }: {
    cardDefinition?: CardDefinition;
    columns: Array<NestedField<any, any>>;
    dialogId?: number;
    elementId: string;
    level?: number;
    parentId?: string;
    recordId?: string;
    screenId: string;
    sidebarDefinition?: SidebarDefinitionDecorator;
}) => (dispatch: AppThunkDispatch, getState: () => XtremAppState) => Promise<void>;
export declare const confirmTableSidebar: (dialogId: number, addNewRecord?: boolean) => (dispatch: AppThunkDispatch, getState: () => XtremAppState) => Promise<void>;
export declare const selectSidebarNextRecord: (dialogId: number) => (dispatch: AppThunkDispatch, getState: () => XtremAppState) => Promise<void>;
export declare const selectSidebarPreviousRecord: (dialogId: number) => (dispatch: AppThunkDispatch, getState: () => XtremAppState) => Promise<void>;
//# sourceMappingURL=table-sidebar-actions.d.ts.map