import type { Dict } from '@sage/xtrem-shared';
import type { AgGridColumnConfigWithScreenIdAndColDef } from '../utils/ag-grid/ag-grid-utility-types';
import type { FormattedNodeDetails } from './metadata-types';
import { type OrderByType } from '../component/types';
export interface ExportTableDataArgs {
    node: string;
    orderBy?: OrderByType;
    filter: any;
    columns: AgGridColumnConfigWithScreenIdAndColDef[];
    nodeTypes: Dict<FormattedNodeDetails>;
    outputFormat: 'csv' | 'xlsx';
}
export declare function exportTableData({ columns, nodeTypes, node, orderBy, filter, outputFormat, }: ExportTableDataArgs): Promise<void>;
//# sourceMappingURL=table-export-service.d.ts.map