import type { StoryObj } from "@storybook/react";
declare const meta: {
    title: string;
    component: ({ fill, size, viewBox, role, icon, rotation, hoverFill, ...rest }: import("./StyledSageIcon").StyledSageIconProps) => import("react").JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Primary: Story;
export declare const Rotated: Story;
export declare const OnHover: Story;
export declare const ChatNotes: Story;
export declare const EllipsisHorizontal: Story;
export declare const Chat: Story;
export declare const Settings: Story;
export declare const Sync: Story;
