declare const _default: {
    AUTHORIZATION: string;
    CACHE: {
        RESPONSE: {
            NAME: string;
            VALUE: string;
        };
        TTL: string;
        EXPIRY: string;
    };
    CONTENT_TYPE: {
        NAME: string;
        VALUE: {
            JSON: string;
            TEXT: string;
            FILES: string[];
        };
    };
    TRANSLATION: {
        NAME: string;
        VALUE: {
            DEFAULT: string;
        };
    };
    IDEMPOTENCY: string;
    MSW: {
        USE: {
            NAME: string;
            VALUE: string;
        };
        X_POWERED_BY: {
            NAME: string;
            VALUE: string;
        };
    };
    PAGINATION: {
        TOTAL_PAGES: string;
        CURRENT_PAGE: string;
        ITEMS_PER_PAGE: string;
    };
    RETRY_AFTER: string;
    CORRELATION: string;
    TRY_WAIT_FOR_RESULT: {
        NAME: string;
        VALUE: string;
    };
};
export default _default;
