import type { StoryObj } from "@storybook/react";
declare const meta: {
    title: string;
    component: ({ message, isSkeleton, isLastMessage, displayAs }: import("./ChatBubble").ChatBubbleProps) => import("react").JSX.Element;
    parameters: {
        layout: string;
        backgrounds: {
            default: string;
        };
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const HumanMessage: Story;
export declare const AiMessage: Story;
export declare const HumanMessageWithReallyLongWords: Story;
export declare const AiMessageWithReallyLongWords: Story;
export declare const AsASkeleton: Story;
