import { SessionMessage } from "../../types/SessionMessage";
import { OnMessagePatch } from "../../types/MessagePatch";
import { SessionIdType } from "../../types/Session";
import React from "react";
export type ListRefs = {
    [key: string]: HTMLDivElement | null;
};
interface ChatListProps {
    messages: SessionMessage[];
    sessionId: SessionIdType;
    suggestions: React.ReactNode | null;
    onChatScrollTop: () => void;
    messageHistoryLoading: boolean;
    onMessagePatch: OnMessagePatch;
    isMessageInFlight: boolean;
    moreMessageHistoryAvailable: boolean;
    onNewChatClick: () => void;
}
declare const ChatList: ({ messages, sessionId, suggestions, onChatScrollTop, messageHistoryLoading, onMessagePatch, isMessageInFlight, moreMessageHistoryAvailable, onNewChatClick, }: ChatListProps) => React.JSX.Element;
export default ChatList;
