import { Session } from "../../types/Session";
import { SessionMessage } from "../../types/SessionMessage";
import { SortFn } from "../../utils/SortedSessionMessages";
type GetPropFn<T, K extends keyof T> = (obj: T) => T[K];
export declare const mergeSessionMessageLists: <T extends SessionMessage | Session, K extends keyof T>(first: T[], second: T[], keyFn: GetPropFn<T, K>) => T[];
export declare const mergeAndSortSessionMessages: <T extends SessionMessage>(first: T[], second: T[], sortFn: SortFn) => T[];
export declare const mergeAndSortSessions: (first: Session[], second: Session[], sortFn: SortFn) => Session[];
export {};
