export declare const compiledTranslations: {
    "de-DE": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "en-CA": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    slowProcessing: string;
                    checkAgain: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadingCopilot: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    regenerate: string;
                    copilotSaid: string;
                    youSaid: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                    refresh: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                    asOf: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    invalidValue: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    yesterday: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                    explore: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotUnavailableAtThisTime: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                    limitReached: string;
                    limitReachedDetail: string;
                    hour: string;
                    hoursPlural: string;
                    minute: string;
                    minutesPlural: string;
                    chatError: string;
                    chatErrorDetail: string;
                    tryAgain: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "en-GB": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    slowProcessing: string;
                    checkAgain: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadingCopilot: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    regenerate: string;
                    copilotSaid: string;
                    youSaid: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                    refresh: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                    asOf: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    invalidValue: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    yesterday: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                    explore: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotUnavailableAtThisTime: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                    limitReached: string;
                    limitReachedDetail: string;
                    hour: string;
                    hoursPlural: string;
                    minute: string;
                    minutesPlural: string;
                    chatError: string;
                    chatErrorDetail: string;
                    tryAgain: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "en-US": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    slowProcessing: string;
                    checkAgain: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadingCopilot: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    regenerate: string;
                    copilotSaid: string;
                    youSaid: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                    refresh: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                    asOf: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    invalidValue: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    yesterday: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                    explore: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotUnavailableAtThisTime: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                    limitReached: string;
                    limitReachedDetail: string;
                    hour: string;
                    hoursPlural: string;
                    minute: string;
                    minutesPlural: string;
                    chatError: string;
                    chatErrorDetail: string;
                    tryAgain: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "es-ES": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "fr-CA": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
    "fr-FR": {
        gmsChatUi: {
            copilot: {
                chat: {
                    askProviderText: string;
                    sendMessageButton: string;
                    chatHistoryButton: string;
                    goToChatButton: string;
                    newChatButton: string;
                    newChatLower: string;
                    warningText: string;
                    privacyNotice: string;
                    privacyNoticeUrl: string;
                    processing: string;
                    explanationTitle: string;
                    characterMessage: string;
                    characterMessagePlural: string;
                    characterLeft: string;
                    characterLeftPlural: string;
                    characterHint: string;
                    cancelButton: string;
                    submitButton: string;
                    copilotHow: string;
                    dismissButton: string;
                    loadHistory: string;
                    chatbotConversation: string;
                    waitingCopilot: string;
                    minimiseWindow: string;
                    closeWindow: string;
                    restoreWindow: string;
                    sageCopilot: string;
                    "system-msg": {
                        cancel: string;
                        cancelled: string;
                    };
                    "system-error-msg": {
                        generic: string;
                        "not-authorized": string;
                    };
                    selectPlaceholder: string;
                };
                feedback: {
                    additionalFeedback: string;
                    giveFeedback: string;
                    feedbackResponse: string;
                    optional: string;
                    tellUsResponse: string;
                };
                insights: {
                    title: string;
                    titlePlural: string;
                    loadingInsights: string;
                    fallbackTitle: string;
                    disabled: string;
                    fetchError: string;
                    goToInsightsButton: string;
                };
                sessions: {
                    suggestion: string;
                    favourites: string;
                    today: string;
                    previous7: string;
                    previous30: string;
                    older: string;
                    chatHistory: string;
                    errorFetching: string;
                    noSessions: string;
                    rename: string;
                    renameSession: string;
                    removeFavourites: string;
                    addFavourites: string;
                    removeSessionFavourites: string;
                    addSessionFavourites: string;
                    delete: string;
                    deleteSession: string;
                    showSessionContext: string;
                    updating: string;
                    deleteChatQuestion: string;
                    cancel: string;
                    deleteChat: string;
                    sessionLabel: string;
                    sessionRequired: string;
                    chatName: string;
                    save: string;
                };
                suggestion: {
                    welcome: string;
                    ask: string;
                };
                error: {
                    title: string;
                    server: string;
                    insightError: string;
                    insightErrorLoadAgain: string;
                    insightErrorButton: string;
                    insightMissing: string;
                    insightCheckBack: string;
                    copilotUnavailable: string;
                    copilotCheckBack: string;
                    thisProduct: string;
                    unexpected: string;
                };
                gms: {
                    sipAssistant: string;
                    copilotUppercase: string;
                };
                tags: {
                    helpful: string;
                    incorrect: string;
                    style: string;
                    unprofessional: string;
                    instructions: string;
                };
                prompt: {
                    confirm: string;
                    answerPlaceholder: string;
                    start: string;
                    end: string;
                    date: string;
                };
            };
        };
    };
};
