import { GraphApi } from '@sage/x3-manufacturing-api';
import * as ui from '@sage/xtrem-ui';
import { readParameterValue } from './read-parameter';

/** function to get value for parameter CTLOPEPRE */
export async function getGeneralParameters(pageInstance: ui.Page<GraphApi>): Promise<string> {
    let CtlOpepre: string;
    /* CTLOPEPRE - Expected values
       1 No. 2 Yes without block, 3 Yes, with block */

    return (CtlOpepre = await readParameterValue(
        'CTLOPEPRE',
        pageInstance.$.userCode ? pageInstance.$.userCode.toUpperCase() : '',
        '',
        pageInstance,
    ));
}
