"use strict";
// These definitions come from xtrem-async-helper
// I copied them here because xtrem-log is shared with front-end packages and
Object.defineProperty(exports, "__esModule", { value: true });
exports.withClsContext = withClsContext;
exports.clsContext = clsContext;
const { AsyncLocalStorage } = require('async_hooks');
const asyncLocalStorage = new AsyncLocalStorage();
function withClsContext(fn, context) {
    return asyncLocalStorage.run({ context }, fn);
}
function clsContext() {
    return asyncLocalStorage.getStore();
}
//# sourceMappingURL=async-local-storage.js.map