import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { CardProperties } from './card-types';
export declare class CardComponent extends ReadonlyFieldBaseComponent<CardProperties, any> {
    render(): React.ReactElement;
}
export declare const ConnectedCardComponent: import("react-redux").ConnectedComponent<typeof CardComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<CardComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedCardComponent;
//# sourceMappingURL=card-component.d.ts.map