import * as React from 'react';
import type { ContentTableComponentProps } from './content-table-types';
export declare const changeEventHandler: (screenId: string, elementId: string) => () => Promise<void>;
export declare function ContentTableComponent(props: ContentTableComponentProps): React.ReactElement;
export declare const ConnectedContentTableComponent: import("react-redux").ConnectedComponent<typeof ContentTableComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedContentTableComponent;
//# sourceMappingURL=content-table-component.d.ts.map