import React from 'react';
import type { DropdownListComponentProps } from './dropdown-list-types';
export declare const DropdownListComponent: React.FC<DropdownListComponentProps>;
export declare const ConnectedDropdownListComponent: import("react-redux").ConnectedComponent<React.FC<DropdownListComponentProps>, {
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    screenId: string;
    contextType?: import("../../../types").ContextType | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedDropdownListComponent;
//# sourceMappingURL=dropdown-list-component.d.ts.map