import * as React from 'react';
import type { FileDepositComponentProps } from './file-deposit-types';
export declare function FileDepositComponent(props: FileDepositComponentProps): React.ReactElement;
export declare const ConnectedFileDepositComponent: import("react-redux").ConnectedComponent<typeof FileDepositComponent, {
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    screenId: string;
    contextType?: import("../../../types").ContextType | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedFileDepositComponent;
//# sourceMappingURL=file-deposit-component.d.ts.map