import * as React from 'react';
import type { FilterEditorComponentProps } from './filter-editor-types';
export declare const changeEventHandler: (screenId: string, elementId: string) => () => Promise<void>;
export declare function FilterEditorComponent(props: FilterEditorComponentProps): React.ReactElement;
export declare const ConnectedFilterEditorComponent: import("react-redux").ConnectedComponent<typeof FilterEditorComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedFilterEditorComponent;
//# sourceMappingURL=filter-editor-component.d.ts.map