import * as React from 'react';
import type { StaticContentComponentProps } from './static-content-types';
export declare function StaticContentComponent({ fieldProperties, screenId, value, elementId, ...rest }: StaticContentComponentProps): React.ReactElement;
export declare const ConnectedStaticContentComponent: import("react-redux").ConnectedComponent<typeof StaticContentComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedStaticContentComponent;
//# sourceMappingURL=static-content-component.d.ts.map