import * as React from 'react';
import type { ScreenBase } from '../../../service/screen-base';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { VitalPodDecoratorProperties } from './vital-pod-types';
export declare class VitalPodComponent extends EditableFieldBaseComponent<VitalPodDecoratorProperties<ScreenBase, any>, any, NestedFieldsAdditionalProperties> {
    onChange: (bind: string, value: any) => Promise<void>;
    onRemove: () => void;
    onNewPod: () => Promise<void>;
    render(): React.ReactNode;
}
export declare const ConnectedVitalPodComponent: import("react-redux").ConnectedComponent<typeof VitalPodComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<VitalPodComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedVitalPodComponent;
//# sourceMappingURL=vital-pod-component.d.ts.map