import * as React from 'react';
import type { WorkflowComponentProperties } from './workflow-types';
export declare function WorkflowComponent(props: WorkflowComponentProperties): React.ReactElement;
export declare function WorkflowInnerComponent(props: WorkflowComponentProperties): React.ReactElement;
export declare const ConnectedFormDesignerComponent: import("react-redux").ConnectedComponent<typeof WorkflowComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedFormDesignerComponent;
//# sourceMappingURL=workflow-component.d.ts.map