import * as React from 'react';
import type { MultiRootEditor } from '@ckeditor/ckeditor5-editor-multi-root';
import type { CarbonLocaleType } from '@sage/xtrem-ui-components';
import type { LocalizeEnumFunction, LocalizeFunction, LocalizeLocale } from '@sage/xtrem-shared';
import type { DocumentContextProvider } from '../context-provider';
export interface EditFilterActionButtonProps {
    carbonLocale: CarbonLocaleType;
    contextProvider: DocumentContextProvider;
    editor: MultiRootEditor | null;
    locale: LocalizeLocale;
    localize: LocalizeFunction;
    localizeEnumMember: LocalizeEnumFunction;
    isEnabled: boolean;
}
export declare function EditFilterActionButton({ carbonLocale, contextProvider, editor, locale, localize, localizeEnumMember, isEnabled, }: EditFilterActionButtonProps): React.ReactElement | null;
//# sourceMappingURL=edit-filter-action-button.d.ts.map