import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
export declare enum ApAutomationMessagesEnum {
    noMappingScriptAvailable = 1,
    apAutomationGetExtractions = 2,
    apAutomationGetResults = 3,
    numberOfRecordsProcessed = 4,
    thisExtractionHasStatusCompleted = 5,
    thisExtractionHasBeenCreatedForAnotherCompany = 6,
    companyNotRegisteredInApAutomation = 7,
    noCompanyRegisteredForApAutomation = 8,
    companyNotAuthorized = 9,
    apAutomationSendFeedback = 10,
    company1ProcessedDocuments = 11,
    feedbackResult = 12
}
export interface ApAutomationMessages$EnumInterface {
    noMappingScriptAvailable: 1;
    apAutomationGetExtractions: 2;
    apAutomationGetResults: 3;
    numberOfRecordsProcessed: 4;
    thisExtractionHasStatusCompleted: 5;
    thisExtractionHasBeenCreatedForAnotherCompany: 6;
    companyNotRegisteredInApAutomation: 7;
    noCompanyRegisteredForApAutomation: 8;
    companyNotAuthorized: 9;
    apAutomationSendFeedback: 10;
    company1ProcessedDocuments: 11;
    feedbackResult: 12;
}
export type ApAutomationMessages = keyof ApAutomationMessages$EnumInterface;
export declare const apAutomationMessagesDatatype: X3EnumDataType<keyof ApAutomationMessages$EnumInterface, unknown>;
//# sourceMappingURL=ap-automation-messages.d.ts.map