import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
export declare enum CrystalReportsAccContdEnum {
    days1 = 1,
    weeks = 2,
    substituteValue3 = 3,
    fortnights = 4,
    months = 5,
    fixed = 6,
    file = 7,
    criteria = 8,
    empty = 9,
    s = 10,
    t = 11,
    f = 12,
    rBVariance13 = 13,
    rEBVariance14 = 14,
    rEPBVariance15 = 15,
    rBQtyVariance16 = 16,
    rEBQtyVariance17 = 17,
    rEPBQtyVariance18 = 18,
    rBVariance = 19,
    rEBVariance = 20,
    rEPBVariance = 21,
    rBQtyVariance = 22,
    rEBQtyVariance = 23,
    rEPBQtyVariance = 24,
    balanceChgRev = 25,
    balancePdtRev = 26,
    achievedQty = 27,
    days28 = 28,
    notDue = 29,
    dueDate = 30,
    telephone = 31,
    days = 32,
    byBpCode = 33,
    typeDocumentNumber = 34,
    tradeName = 35,
    preparatoryReportForTheTaxDeclarationOnPayments = 36,
    reprintPreparatoryReportForTheTaxDeclarationOnPayments = 37,
    txsOn = 38,
    debitTotal = 39,
    creditTotal = 40,
    generalTotal = 41,
    siteTotal = 42,
    reportInPreparationToTheEuropeanServicesDeclaration = 43,
    reprintingTheReportInPreparationToTheEuropeanServicesDeclaration = 44,
    ledgerTotal = 45,
    total = 46
}
export interface CrystalReportsAccContd$EnumInterface {
    days1: 1;
    weeks: 2;
    substituteValue3: 3;
    fortnights: 4;
    months: 5;
    fixed: 6;
    file: 7;
    criteria: 8;
    empty: 9;
    s: 10;
    t: 11;
    f: 12;
    rBVariance13: 13;
    rEBVariance14: 14;
    rEPBVariance15: 15;
    rBQtyVariance16: 16;
    rEBQtyVariance17: 17;
    rEPBQtyVariance18: 18;
    rBVariance: 19;
    rEBVariance: 20;
    rEPBVariance: 21;
    rBQtyVariance: 22;
    rEBQtyVariance: 23;
    rEPBQtyVariance: 24;
    balanceChgRev: 25;
    balancePdtRev: 26;
    achievedQty: 27;
    days28: 28;
    notDue: 29;
    dueDate: 30;
    telephone: 31;
    days: 32;
    byBpCode: 33;
    typeDocumentNumber: 34;
    tradeName: 35;
    preparatoryReportForTheTaxDeclarationOnPayments: 36;
    reprintPreparatoryReportForTheTaxDeclarationOnPayments: 37;
    txsOn: 38;
    debitTotal: 39;
    creditTotal: 40;
    generalTotal: 41;
    siteTotal: 42;
    reportInPreparationToTheEuropeanServicesDeclaration: 43;
    reprintingTheReportInPreparationToTheEuropeanServicesDeclaration: 44;
    ledgerTotal: 45;
    total: 46;
}
export type CrystalReportsAccContd = keyof CrystalReportsAccContd$EnumInterface;
export declare const crystalReportsAccContdDatatype: X3EnumDataType<keyof CrystalReportsAccContd$EnumInterface, unknown>;
//# sourceMappingURL=crystal-reports-acc-contd.d.ts.map