import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
export declare enum CrystalReportsCommonEnum {
    accordingToDatabase = 1,
    january = 2,
    february = 3,
    march = 4,
    april = 5,
    may = 6,
    june = 7,
    july = 8,
    august = 9,
    september = 10,
    october = 11,
    november = 12,
    december = 13,
    firstLevel = 14,
    lastLevel = 15,
    multilevel = 16,
    processedBy = 17,
    anyLatePaymentWillRequireThatAFixedAllowanceBePaidForTheRecoveryCostsOf = 18,
    specialCashVatTaxRule = 19,
    transportCode = 20,
    freightChargeTermsFreightChargesArePrepaidUnlessMarkedOtherwise = 21,
    noteLiabilityLimitationForLossOrDamageInThisShipmentMayBeApplicableSee49USC14706C1AAndB = 22,
    theCarrierShallNotMakeDeliveryOfThisShipmentWithoutPaymentOfFreightAndAllOtherLawfulCharges = 23,
    prepaid = 24,
    collect = 25,
    thirdParty = 26,
    codAmount = 27,
    feeTerms = 28,
    customerCheckAcceptable = 29,
    shipperSignature = 30,
    shipperSignatureAndDate = 31,
    trailerLoaded = 32,
    freightCounted = 33,
    byShipper = 34,
    byDriver = 35,
    byDriverPalletsSaidToContain = 36,
    byDriverPieces = 37,
    carrierSignatureAndPickupDate = 38,
    propertyDescribedAboveIsReceivedInGoodOrderExceptAsNoted = 39,
    fob = 40,
    customerTotal = 41,
    agedTotal = 42,
    statementDate = 43,
    cutoffDate = 44,
    originalAmount = 45,
    openAmount = 46,
    progressiveBalance = 47,
    substituteValue48 = 48,
    substituteValue49 = 49,
    substituteValue50 = 50,
    over90Days = 51,
    registrationNumber = 52,
    trailerRegistrationNo = 53,
    departureDate = 54,
    departureTime = 55,
    arrivalDate = 56,
    arrivalTime = 57,
    type = 58,
    documentForInternalUsageOnly = 59,
    thisDocumentIsOnlyAReferenceToAPreviousRevisionOfAFinalSalesQuote = 60,
    salesQuoteRevisionReport = 61,
    totalWithoutVatExcludingTaxes = 62,
    totalWithoutVat = 63,
    internalReference = 64,
    cashVatRule = 65,
    qtyIssued = 66,
    ending = 67,
    qtyReceived = 68,
    valuationMethodTotal = 69,
    versionTotal = 70,
    valuationMethodChanged = 71,
    controlSystem = 72,
    veriFactu = 73,
    firstRecord = 74,
    lastRecord = 75,
    doYouWantToExportOnlyNonExportedEvents = 76,
    noVeriFactu = 77,
    sendingWithoutRequestNumberIsOnlyAllowedInTestMode = 78,
    optionForThePaymentOfTheTaxAccordingToTheDebits = 79,
    bpDetails = 80,
    products = 81,
    invoicingElements = 82,
    notes = 83,
    vatBreakdown = 84
}
export interface CrystalReportsCommon$EnumInterface {
    accordingToDatabase: 1;
    january: 2;
    february: 3;
    march: 4;
    april: 5;
    may: 6;
    june: 7;
    july: 8;
    august: 9;
    september: 10;
    october: 11;
    november: 12;
    december: 13;
    firstLevel: 14;
    lastLevel: 15;
    multilevel: 16;
    processedBy: 17;
    anyLatePaymentWillRequireThatAFixedAllowanceBePaidForTheRecoveryCostsOf: 18;
    specialCashVatTaxRule: 19;
    transportCode: 20;
    freightChargeTermsFreightChargesArePrepaidUnlessMarkedOtherwise: 21;
    noteLiabilityLimitationForLossOrDamageInThisShipmentMayBeApplicableSee49USC14706C1AAndB: 22;
    theCarrierShallNotMakeDeliveryOfThisShipmentWithoutPaymentOfFreightAndAllOtherLawfulCharges: 23;
    prepaid: 24;
    collect: 25;
    thirdParty: 26;
    codAmount: 27;
    feeTerms: 28;
    customerCheckAcceptable: 29;
    shipperSignature: 30;
    shipperSignatureAndDate: 31;
    trailerLoaded: 32;
    freightCounted: 33;
    byShipper: 34;
    byDriver: 35;
    byDriverPalletsSaidToContain: 36;
    byDriverPieces: 37;
    carrierSignatureAndPickupDate: 38;
    propertyDescribedAboveIsReceivedInGoodOrderExceptAsNoted: 39;
    fob: 40;
    customerTotal: 41;
    agedTotal: 42;
    statementDate: 43;
    cutoffDate: 44;
    originalAmount: 45;
    openAmount: 46;
    progressiveBalance: 47;
    substituteValue48: 48;
    substituteValue49: 49;
    substituteValue50: 50;
    over90Days: 51;
    registrationNumber: 52;
    trailerRegistrationNo: 53;
    departureDate: 54;
    departureTime: 55;
    arrivalDate: 56;
    arrivalTime: 57;
    type: 58;
    documentForInternalUsageOnly: 59;
    thisDocumentIsOnlyAReferenceToAPreviousRevisionOfAFinalSalesQuote: 60;
    salesQuoteRevisionReport: 61;
    totalWithoutVatExcludingTaxes: 62;
    totalWithoutVat: 63;
    internalReference: 64;
    cashVatRule: 65;
    qtyIssued: 66;
    ending: 67;
    qtyReceived: 68;
    valuationMethodTotal: 69;
    versionTotal: 70;
    valuationMethodChanged: 71;
    controlSystem: 72;
    veriFactu: 73;
    firstRecord: 74;
    lastRecord: 75;
    doYouWantToExportOnlyNonExportedEvents: 76;
    noVeriFactu: 77;
    sendingWithoutRequestNumberIsOnlyAllowedInTestMode: 78;
    optionForThePaymentOfTheTaxAccordingToTheDebits: 79;
    bpDetails: 80;
    products: 81;
    invoicingElements: 82;
    notes: 83;
    vatBreakdown: 84;
}
export type CrystalReportsCommon = keyof CrystalReportsCommon$EnumInterface;
export declare const crystalReportsCommonDatatype: X3EnumDataType<keyof CrystalReportsCommon$EnumInterface, unknown>;
//# sourceMappingURL=crystal-reports-common.d.ts.map