"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.electronicInvoiceTypeDatatype = exports.ElectronicInvoiceTypeEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var ElectronicInvoiceTypeEnum;
(function (ElectronicInvoiceTypeEnum) {
    ElectronicInvoiceTypeEnum[ElectronicInvoiceTypeEnum["notUsed"] = 1] = "notUsed";
    ElectronicInvoiceTypeEnum[ElectronicInvoiceTypeEnum["einvoicingManagement"] = 2] = "einvoicingManagement";
})(ElectronicInvoiceTypeEnum || (exports.ElectronicInvoiceTypeEnum = ElectronicInvoiceTypeEnum = {}));
exports.electronicInvoiceTypeDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: ElectronicInvoiceTypeEnum,
    filename: __filename,
    localMenuNumber: 2127,
});
//# sourceMappingURL=electronic-invoice-type.js.map