import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
export declare enum FiscalRecipientEnum {
    othersSii = 1,
    batuzForVizcaya = 2,
    tbaiForGuipuzcoa = 3,
    tbaiForAlava = 4,
    tbaiForNavarra = 5,
    verifactu = 6
}
export interface FiscalRecipient$EnumInterface {
    othersSii: 1;
    batuzForVizcaya: 2;
    tbaiForGuipuzcoa: 3;
    tbaiForAlava: 4;
    tbaiForNavarra: 5;
    verifactu: 6;
}
export type FiscalRecipient = keyof FiscalRecipient$EnumInterface;
export declare const fiscalRecipientDatatype: X3EnumDataType<keyof FiscalRecipient$EnumInterface, unknown>;
//# sourceMappingURL=fiscal-recipient.d.ts.map