"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncStatusesDatatype = exports.SyncStatusesEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var SyncStatusesEnum;
(function (SyncStatusesEnum) {
    SyncStatusesEnum[SyncStatusesEnum["awaiting"] = 1] = "awaiting";
    SyncStatusesEnum[SyncStatusesEnum["ready"] = 2] = "ready";
    SyncStatusesEnum[SyncStatusesEnum["processing"] = 3] = "processing";
    SyncStatusesEnum[SyncStatusesEnum["queued"] = 4] = "queued";
    SyncStatusesEnum[SyncStatusesEnum["completed"] = 5] = "completed";
    SyncStatusesEnum[SyncStatusesEnum["failed"] = 6] = "failed";
    SyncStatusesEnum[SyncStatusesEnum["cancelled"] = 7] = "cancelled";
    SyncStatusesEnum[SyncStatusesEnum["terminated"] = 8] = "terminated";
})(SyncStatusesEnum || (exports.SyncStatusesEnum = SyncStatusesEnum = {}));
exports.syncStatusesDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: SyncStatusesEnum,
    filename: __filename,
    localMenuNumber: 2136,
});
//# sourceMappingURL=sync-statuses.js.map