import * as sageX3MasterData from '@sage/x3-master-data';
import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
import * as sageX3InvoicingData from '..';
export declare class SupplierExtension extends NodeExtension<sageX3MasterData.nodes.Supplier> {
    readonly paymentTerm: Reference<sageX3InvoicingData.nodes.PaymentTerm>;
    readonly earlyDiscountOrLateCharge: Reference<sageX3InvoicingData.nodes.EarlyDiscountLateCharge | null>;
    readonly taxRule: Reference<sageX3InvoicingData.nodes.TaxRule>;
    readonly priceStructure: Reference<sageX3InvoicingData.nodes.PriceStructure | null>;
    readonly invoicingElements: Collection<sageX3InvoicingData.nodes.SupplierInvoicingElements>;
}
declare module '@sage/x3-master-data/lib/nodes/supplier' {
    interface Supplier extends SupplierExtension {
    }
}
//# sourceMappingURL=supplier-extension.d.ts.map