import { Node, Reference, decimal, date } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class Company extends Node {
    readonly code: Promise<string>;
    readonly name: Promise<string>;
    readonly shortName: Promise<string>;
    readonly isLegalCompany: Promise<boolean>;
    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly mainSite: Reference<sageX3System.nodes.Site | null>;
    readonly identificationNumber: Promise<string>;
    readonly standardIndustrialClassificationCode: Promise<string>;
    readonly uniqueIdentificationNumber: Promise<string>;
    readonly legalForm: Promise<string>;
    readonly registredCapital: Promise<decimal | null>;
    readonly europeanUnionVatNumber: Promise<string>;
    readonly firstFiscalYear: Promise<date | null>;
    readonly eoriNumber: Promise<string>;
    readonly subjectToTax: Promise<boolean>;
    readonly logo: Reference<sageX3System.nodes.Image | null>;
}
//# sourceMappingURL=company.d.ts.map