import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class CompositeCodeSetupLine extends Node {
    readonly stockSite: Reference<sageX3System.nodes.Site | null>;
    readonly flow: Reference<sageX3System.nodes.MiscellaneousTable>;
    readonly lineNumber: Promise<integer>;
    readonly fieldName: Promise<string>;
    readonly startPosition: Promise<integer | null>;
    readonly length: Promise<integer | null>;
    readonly fieldDataType: Promise<sageX3System.enums.FieldType | null>;
    readonly fieldAlias: Promise<string>;
}
//# sourceMappingURL=composite-code-setup-line.d.ts.map