import { Node, decimal, date, integer, Collection } from '@sage/xtrem-core';
import * as sageX3MasterData from '..';
export declare class Currency extends Node {
    readonly code: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly localizedShortDescription: Promise<string>;
    readonly rounding: Promise<decimal | null>;
    readonly format1: Promise<string>;
    readonly format2: Promise<string>;
    readonly format3: Promise<string>;
    readonly isEuro: Promise<boolean>;
    readonly euroRate: Promise<decimal | null>;
    readonly euroConversionDate: Promise<date | null>;
    readonly currencyEndDate: Promise<date | null>;
    readonly symbol: Promise<string>;
    readonly numberOfDecimals: Promise<integer | null>;
    readonly isoCode: Promise<string>;
    readonly isoNumericCode: Promise<string>;
    readonly currencyRates: Collection<sageX3MasterData.nodes.CurrencyRate>;
}
//# sourceMappingURL=currency.d.ts.map