import * as sageX3StockData from '@sage/x3-stock-data';
import { Node, Reference, integer, Collection } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseOrderLineDimension extends Node {
    readonly abbreviation: Promise<string>;
    readonly typ: Promise<sageX3StockData.enums.EntryTypeEnum | null>;
    readonly purchaseOrder: Reference<sageX3Purchasing.nodes.PurchaseOrder>;
    readonly purchaseOrderLine: Reference<sageX3Purchasing.nodes.PurchaseOrderLine | null>;
    readonly sequenceNumber: Promise<integer | null>;
    readonly keyComplement: Promise<string>;
    readonly sortValue: Promise<integer | null>;
    readonly dimensions: Collection<sageX3Purchasing.nodes.PurchaseOrderLineDimensionDimensions>;
}
//# sourceMappingURL=purchase-order-line-dimension.d.ts.map