import { Node, Reference } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class Site extends Node {
    readonly code: Promise<string>;
    readonly name: Promise<string>;
    readonly shortName: Promise<string>;
    readonly identificationNumber: Promise<string>;
    readonly standardIndustrialClassificationCode: Promise<string>;
    readonly isManufacturing: Promise<boolean>;
    readonly isSales: Promise<boolean>;
    readonly isPurchasing: Promise<boolean>;
    readonly isStockSite: Promise<boolean>;
    readonly isAccounting: Promise<boolean>;
    readonly financialSite: Reference<sageX3System.nodes.Site | null>;
    readonly legalCompany: Reference<sageX3System.nodes.Company>;
    readonly legislation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly eoriNumber: Promise<string>;
}
//# sourceMappingURL=site.d.ts.map