import { SessionJson } from "../interface/SessionBuilder";
import { SessionMessageJson } from "../interface/SessionMessageBuilder";
import SuggestedPromptJson from "../interface/SuggestedPromptJson";
export declare const mockedLogin: {
    access_token: string;
    scope: string;
    expires_in: number;
    token_type: string;
};
export declare const mockedMessageHistory: {
    [key: string]: SessionMessageJson[];
};
export declare const mockedSuggestedPrompts: SuggestedPromptJson[];
export declare const mockedLiveInsights: SessionMessageJson[];
export declare let mockedSessions: SessionJson[];
export declare const handleMockPostConversationStarter: () => Response;
export declare const handleMockPatchSession: (request: Request) => Promise<Response>;
export declare const handleMockGetMessageHistory: (request: Request) => Response;
export declare const handleMockDeleteSession: (request: Request) => Response;
export declare const handleMockLogin: () => Response;
export declare const handleMockPatchMessage: (request: Request) => Promise<Response>;
export declare const handleMockGetSessions: () => Response;
export declare const handleMockGetSuggestedPrompts: () => Response;
export declare const handleMockPostInsights: () => Response;
export declare const handleMockGetInsights: (request: Request) => Response;
export declare const handleMockPatchInsights: (request: Request) => Promise<Response>;
export declare const handleMockPostChatReply: () => (request: Request) => Promise<Response>;
export declare const handleMockPostAutocompleteSuggestions: (request: Request) => Promise<Response>;
