import type { StoryObj } from "@storybook/react";
import React from "react";
declare const meta: {
    title: string;
    component: ({ url, children, linkType, buttonSize, buttonWrap, dataRole, icon, iconFill, iconSize, onClick, }: import("./LinkButton").LinkButtonProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
    decorators: ((Story: import("@storybook/core/csf").PartialStoryFn<import("@storybook/react").ReactRenderer, {
        url: string;
        children: string;
        linkType: import("../..").MessagePartHyperLinkType;
        buttonSize: import("./AiKitButton.styles").ButtonSize;
        buttonWrap: import("./PromptButton").PromptButtonWrap;
        dataRole?: string | undefined;
        icon?: import("../../types/SageIconType").SageIconType | undefined;
        iconFill?: string | undefined;
        iconSize?: number | undefined;
        onClick?: (() => void) | undefined;
    }>) => React.JSX.Element)[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const External: Story;
export declare const Internal: Story;
export declare const WithEllipsis: Story;
export declare const WithIcon: Story;
