import { SpaceProps } from "styled-system";
import { SageIconType } from "../../types/SageIconType";
import React from "react";
export interface SageIconToggleProps extends SpaceProps {
    /** The icon to display */
    icon: SageIconType;
    /** Size in pixels */
    size?: number;
    /** Rotation of icon */
    rotation?: string;
    /** Toggle state */
    expanded: boolean;
    /** Set toggle state */
    setExpanded: (state: boolean) => void;
    disabled?: boolean;
    ariaLabel?: string;
    ariaDescribedBy?: string;
}
declare const SageIconToggle: ({ icon, size, rotation, expanded, setExpanded, ariaLabel, ariaDescribedBy, ...rest }: SageIconToggleProps) => React.JSX.Element;
export default SageIconToggle;
