import type { StoryObj } from "@storybook/react";
import { SageIconToggleProps } from "./SageIconToggle";
import React from "react";
declare const meta: {
    title: string;
    component: ({ icon, size, rotation, expanded, setExpanded, ariaLabel, ariaDescribedBy, ...rest }: SageIconToggleProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Primary: Story;
export declare const Disabled: Story;
