import { Component, ReactNode } from "react";
interface Props {
    children?: ReactNode;
    onError: ReactNode;
}
interface State {
    hasError: boolean;
}
declare class ErrorBoundary extends Component<Props, State> {
    constructor(props: Props);
    static getDerivedStateFromError(): {
        hasError: boolean;
    };
    render(): ReactNode;
}
export default ErrorBoundary;
