import React from "react";
import { SpaceProps } from "styled-system";
interface HnProps extends SpaceProps {
    color?: string;
    lineHeight?: string;
    fontSize?: string;
}
export interface HeadingProps extends HnProps {
    as: "h1" | "h2" | "h3" | "h4";
    tabIndex?: number;
    innerRef?: React.RefObject<HTMLHeadingElement>;
    children: React.ReactNode;
}
declare const Heading: ({ as, innerRef, children, ...rest }: HeadingProps) => React.JSX.Element;
export default Heading;
