import React from "react";
import { OnTextAreaChange } from "./SuggestionTextArea";
export declare const ChatInputLabel: import("styled-components").StyledComponent<"label", import("styled-components").DefaultTheme, {}, never>;
export interface ChatInputProps {
    value: string;
    onTextChange: OnTextAreaChange;
    onKeyDown: React.KeyboardEventHandler<HTMLTextAreaElement>;
    textAreaRef: React.RefObject<HTMLTextAreaElement>;
    onTextSend: (text: string) => void;
    inputDisabled: boolean;
    sendDisabled: boolean;
    newChatDisabled: boolean;
    onNewChatClick: () => void;
}
declare const ChatInput: ({ value, onTextChange, onKeyDown, textAreaRef, onTextSend, inputDisabled, sendDisabled, newChatDisabled, onNewChatClick, }: ChatInputProps) => React.JSX.Element;
export default ChatInput;
