import type { StoryObj } from "@storybook/react";
import { TextAreaProps } from "./TextArea";
import React from "react";
declare const meta: {
    title: string;
    component: ({ rows, value, onChange, onKeyDown, onFocus, onBlur, disabled, id, innerRef, ariaLabel, ariaDescribedBy, dataRole, p, padding, pt, paddingTop, pr, paddingRight, pb, paddingBottom, pl, paddingLeft, px, paddingX, py, paddingY, ...rest }: TextAreaProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Primary: Story;
export declare const Disabled: Story;
