import type { StoryObj } from "@storybook/react";
import { AiKitLinkProps } from "./AiKitLink";
import React from "react";
declare const meta: {
    title: string;
    component: ({ disabled, url, onClick, showLinkIcon, icon, iconFill, iconSize, children, innerRef, title, ...rest }: AiKitLinkProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const LightBackground: Story;
export declare const DarkBackground: Story;
export declare const Disabled: Story;
