import { SessionMessage } from "../../types/SessionMessage";
import { MessageIdType } from "../../types/SessionMessage";
import { OnMessagePatch } from "../../types/MessagePatch";
import { ListRefs } from "./ChatList";
import React from "react";
export type SelectedMessageIdType = MessageIdType | "";
interface ChatItemWithFeedbackProps {
    message: SessionMessage;
    listRefs: React.MutableRefObject<ListRefs>;
    onMessagePatch: OnMessagePatch;
    isLastMessage?: boolean;
    isMessageInFlight: boolean;
}
declare const ChatItemWithFeedback: ({ message, listRefs, onMessagePatch, isMessageInFlight, isLastMessage, }: ChatItemWithFeedbackProps) => React.JSX.Element;
export default ChatItemWithFeedback;
