import { TokenProvider } from "../types/TokenProvider";
import { GmsClient } from "../contexts/BackendContext";
import { ApiProxyRequestFn } from "../types/ApiProxyRequest";
import { BackendSettings } from "../contexts/BackendContext";
import { ChatContext } from "../types/ChatContext";
interface UseBackendSettingsProps {
    backendUrl: string;
    tokenProvider: TokenProvider;
    userId: string;
    gmsClient: GmsClient;
    chatContext: ChatContext | undefined;
    userLocale: string | undefined;
    apiProxyRequest: ApiProxyRequestFn | undefined;
}
declare const useBackendSettings: (props: UseBackendSettingsProps) => {
    backendSettings: BackendSettings;
    setCtrlObjApiProxyRequestFn: (fn: ApiProxyRequestFn | undefined) => void;
};
export default useBackendSettings;
