import type { TOptions, i18n } from "i18next";
declare module "i18next" {
    interface CustomTypeOptions {
        returnNull: false;
    }
}
export declare const defaultLocale = "en-GB";
export declare const createCopilotI18nInstance: (resources: TOptions) => i18n;
export declare const setCopilotI18n: (instance: i18n) => void;
export declare const getCopilotI18n: () => i18n;
export default createCopilotI18nInstance;
export { useTranslation } from "react-i18next";
